Index: common/libs/func_book_parser
===================================================================
--- common/libs/func_book_parser	(revision cee84ade49da2797bd0e6f5e5f984b4cda4ed194)
+++ common/libs/func_book_parser	(revision a4acb1236befbec5234762d0328ed88c96f360d4)
@@ -96,18 +96,18 @@
     clfs)
         echo -n " ${L_arrow}${BOLD}$ARCH${R_arrow} target architecture... "
-        xsltproc --nonet                                 \
-                 --xinclude                              \
-                 --stringparam method $METHOD            \
-                 --stringparam testsuite $TEST           \
-                 --stringparam bomb-testsuite $BOMB_TEST \
-                 --stringparam vim-lang $VIMLANG         \
-                 --stringparam timezone $TIMEZONE        \
-                 --stringparam page $PAGE                \
-                 --stringparam lang $LANG                \
-                 --stringparam sparc $SPARC64_PROC       \
-                 --stringparam x86 $TARGET               \
-                 --stringparam mips $TARGET              \
-                 -o ./${PROGNAME}-commands/              \
-                 $XSL                                    \
+        xsltproc --nonet                                   \
+                 --xinclude                                \
+                 --stringparam method "$METHOD"            \
+                 --stringparam testsuite "$TEST"           \
+                 --stringparam bomb-testsuite "$BOMB_TEST" \
+                 --stringparam vim-lang "$VIMLANG"         \
+                 --stringparam timezone "$TIMEZONE"        \
+                 --stringparam page "$PAGE"                \
+                 --stringparam lang "$LANG"                \
+                 --stringparam sparc "$SPARC64_PROC"       \
+                 --stringparam x86 "$TARGET"               \
+                 --stringparam mips "$TARGET"              \
+                 -o ./${PROGNAME}-commands/                \
+                 $XSL                                      \
                  $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
@@ -115,12 +115,12 @@
     clfs2)
         echo -n " ${L_arrow}${BOLD}$ARCH${R_arrow} target architecture... "
-        xsltproc --nonet                          \
-                 --xinclude                       \
-                 --stringparam vim-lang $VIMLANG  \
-                 --stringparam timezone $TIMEZONE \
-                 --stringparam page $PAGE         \
-                 --stringparam lang $LANG         \
-                 --output ./${PROGNAME}-commands/ \
-                 $XSL                             \
+        xsltproc --nonet                            \
+                 --xinclude                         \
+                 --stringparam vim-lang "$VIMLANG"  \
+                 --stringparam timezone "$TIMEZONE" \
+                 --stringparam page "$PAGE"         \
+                 --stringparam lang "$LANG"         \
+                 --output ./${PROGNAME}-commands/   \
+                 $XSL                               \
                  $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
@@ -128,12 +128,12 @@
     clfs3)
         echo -n " ${L_arrow}${BOLD}$ARCH${R_arrow} target architecture... "
-        xsltproc --nonet                          \
-                 --xinclude                       \
-                 --stringparam endian x$ENDIAN    \
-                 --stringparam timezone $TIMEZONE \
-                 --stringparam page $PAGE         \
-                 --stringparam lang $LANG         \
-                 --output ./${PROGNAME}-commands/ \
-                 $XSL                             \
+        xsltproc --nonet                            \
+                 --xinclude                         \
+                 --stringparam endian x$ENDIAN      \
+                 --stringparam timezone "$TIMEZONE" \
+                 --stringparam page "$PAGE"         \
+                 --stringparam lang "$LANG"         \
+                 --output ./${PROGNAME}-commands/   \
+                 $XSL                               \
                  $BOOK/BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
       ;;
@@ -165,27 +165,27 @@
         popd > /dev/null
 
-        xsltproc --nonet                                    \
-                 --xinclude                                 \
-                 --stringparam revision       $INITSYS      \
-                 --stringparam testsuite      $TEST         \
-                 --stringparam bomb-testsuite $BOMB_TEST    \
-                 --stringparam vim-lang       $VIMLANG      \
-                 --stringparam full-locale    $FULL_LOCALE  \
-                 --stringparam timezone       $TIMEZONE     \
-                 --stringparam page           $PAGE         \
-                 --stringparam lang           $LANG         \
-                 --stringparam pkgmngt        $PKGMNGT      \
-                 --stringparam wrap-install   $WRAP_INSTALL \
-                 --stringparam hostname       $HOSTNAME     \
-                 --stringparam interface      $INTERFACE    \
-                 --stringparam ip             $IP_ADDR      \
-                 --stringparam gateway        $GATEWAY      \
-                 --stringparam prefix         $PREFIX       \
-                 --stringparam broadcast      $BROADCAST    \
-                 --stringparam domain         $DOMAIN       \
-                 --stringparam nameserver1    $DNS1         \
-                 --stringparam nameserver2    $DNS2         \
-                 --output ./${PROGNAME}-commands/           \
-                 $XSL                                       \
+        xsltproc --nonet                                      \
+                 --xinclude                                   \
+                 --stringparam revision       "$INITSYS"      \
+                 --stringparam testsuite      "$TEST"         \
+                 --stringparam bomb-testsuite "$BOMB_TEST"    \
+                 --stringparam vim-lang       "$VIMLANG"      \
+                 --stringparam full-locale    "$FULL_LOCALE"  \
+                 --stringparam timezone       "$TIMEZONE"     \
+                 --stringparam page           "$PAGE"         \
+                 --stringparam lang           "$LANG"         \
+                 --stringparam pkgmngt        "$PKGMNGT"      \
+                 --stringparam wrap-install   "$WRAP_INSTALL" \
+                 --stringparam hostname       "$HOSTNAME"     \
+                 --stringparam interface      "$INTERFACE"    \
+                 --stringparam ip             "$IP_ADDR"      \
+                 --stringparam gateway        "$GATEWAY"      \
+                 --stringparam prefix         "$PREFIX"       \
+                 --stringparam broadcast      "$BROADCAST"    \
+                 --stringparam domain         "$DOMAIN"       \
+                 --stringparam nameserver1    "$DNS1"         \
+                 --stringparam nameserver2    "$DNS2"         \
+                 --output ./${PROGNAME}-commands/             \
+                 $XSL                                         \
                  $BOOK/index.xml >> $LOGDIR/$LOG 2>&1
       ;;
@@ -225,17 +225,17 @@
       ;;
     hlfs)
-        xsltproc --nonet --xinclude           \
-                 --stringparam model $MODEL   \
-                 --stringparam kernel $KERNEL \
-                 --output pkg_tarball_list    \
-                 packages.xsl                 \
+        xsltproc --nonet --xinclude             \
+                 --stringparam model "$MODEL"   \
+                 --stringparam kernel "$KERNEL" \
+                 --output pkg_tarball_list      \
+                 packages.xsl                   \
                  $BOOK/chapter04/chapter04.xml >>$LOGDIR/$LOG 2>&1
       ;;
     lfs)
-        xsltproc --nonet --xinclude              \
-                 --stringparam pkgmngt $PKGMNGT  \
-                 --stringparam revision $INITSYS \
-                 --output pkg_tarball_list       \
-                 packages.xsl                    \
+        xsltproc --nonet --xinclude                \
+                 --stringparam pkgmngt "$PKGMNGT"  \
+                 --stringparam revision "$INITSYS" \
+                 --output pkg_tarball_list         \
+                 packages.xsl                      \
                  $BOOK/chapter03/chapter03.xml >>$LOGDIR/$LOG 2>&1
       ;;
Index: common/libs/func_download_pkgs
===================================================================
--- common/libs/func_download_pkgs	(revision cee84ade49da2797bd0e6f5e5f984b4cda4ed194)
+++ common/libs/func_download_pkgs	(revision a4acb1236befbec5234762d0328ed88c96f360d4)
@@ -151,9 +151,9 @@
     clfs*)
         echo -n "Creating CLFS <${ARCH}> specific URLs file"
-        xsltproc --nonet --xinclude            \
-                 --stringparam server $SERVER  \
-                 --stringparam family clfs     \
-                 -o $BUILDDIR/sources/urls.lst \
-                 urls.xsl                      \
+        xsltproc --nonet --xinclude             \
+                 --stringparam server "$SERVER" \
+                 --stringparam family clfs      \
+                 -o $BUILDDIR/sources/urls.lst  \
+                 urls.xsl                       \
                  $BOOK/BOOK/materials/$ARCH-chapter.xml >>$LOGDIR/$LOG 2>&1
         echo " ...OK"
@@ -161,11 +161,11 @@
     hlfs)
         echo -n "Creating HLFS <${MODEL}> + <${KERNEL}> specific URLs file"
-        xsltproc --nonet --xinclude            \
-                 --stringparam server $SERVER  \
-                 --stringparam family lfs      \
-                 --stringparam model $MODEL    \
-                 --stringparam kernel $KERNEL  \
-                 -o $BUILDDIR/sources/urls.lst \
-                 urls.xsl                      \
+        xsltproc --nonet --xinclude             \
+                 --stringparam server "$SERVER" \
+                 --stringparam family lfs       \
+                 --stringparam model "$MODEL"   \
+                 --stringparam kernel "$KERNEL" \
+                 -o $BUILDDIR/sources/urls.lst  \
+                 urls.xsl                       \
                  $BOOK/chapter04/chapter04.xml >>$LOGDIR/$LOG 2>&1
         echo " ...OK"
@@ -173,11 +173,11 @@
     lfs)
         echo -n "Creating LFS specific URLs file"
-        xsltproc --nonet --xinclude              \
-                 --stringparam server $SERVER    \
-                 --stringparam family lfs        \
-                 --stringparam pkgmngt $PKGMNGT  \
-                 --stringparam revision $INITSYS \
-                 --output ../sources/urls.lst    \
-                 urls.xsl                        \
+        xsltproc --nonet --xinclude                \
+                 --stringparam server "$SERVER"    \
+                 --stringparam family lfs          \
+                 --stringparam pkgmngt "$PKGMNGT"  \
+                 --stringparam revision "$INITSYS" \
+                 --output ../sources/urls.lst      \
+                 urls.xsl                          \
                  $BOOK/chapter03/chapter03.xml >>$LOGDIR/$LOG 2>&1
         echo " ...OK"
